org.apache.olingo.commons.api.edm.provider.annotation

## Class CsdlPropertyValue

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlPropertyValue

- All Implemented Interfaces:
    CsdlAnnotatable

      public class CsdlPropertyValue
      extends CsdlAbstractEdmItem
      implements CsdlAnnotatable

  The edm:PropertyValue element supplies a value to a property on the type instantiated by an edm:Record expression (See `EdmRecord`). The value is obtained by evaluating an expression.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlPropertyValue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `String` | `getProperty()` Property name
    `CsdlExpression` | `getValue()` Evaluated value of the expression (property value)
    `int` | `hashCode()`
    `CsdlPropertyValue` | `setAnnotations(List<CsdlAnnotation> annotations)`
    `CsdlPropertyValue` | `setProperty(String property)`
    `CsdlPropertyValue` | `setValue(CsdlExpression value)`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlPropertyValue

          public CsdlPropertyValue()

  - ### Method Detail

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlPropertyValue setAnnotations(List<CsdlAnnotation> annotations)

    - #### getProperty

          public String getProperty()

      Property name
      Returns:
        Property name

    - #### setProperty

          public CsdlPropertyValue setProperty(String property)

    - #### getValue

          public CsdlExpression getValue()

      Evaluated value of the expression (property value)
      Returns:
        evaluated value of the expression

    - #### setValue

          public CsdlPropertyValue setValue(CsdlExpression value)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.